org.springframework.cloud.dataflow.registry.repository

## Class AppRegistrationRepositoryImpl

- java.lang.Object
- - org.springframework.cloud.dataflow.registry.repository.AppRegistrationRepositoryImpl

- All Implemented Interfaces:
    AppRegistrationRepositoryCustom

      public class AppRegistrationRepositoryImpl
      extends Object
      implements AppRegistrationRepositoryCustom

  Implementation of the `AppRegistrationRepositoryCustom` interface.
  Author:
    Siddhant Sorann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppRegistrationRepositoryImpl(javax.persistence.EntityManager entityManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.data.domain.Page<AppRegistration>` | `findAllByTypeAndNameIsLikeAndVersionAndDefaultVersion(ApplicationType type, String name, String version, boolean defaultVersion, org.springframework.data.domain.Pageable pageable)` Function to find all app registrations based on various optional parameters using predicates.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppRegistrationRepositoryImpl

          public AppRegistrationRepositoryImpl(javax.persistence.EntityManager entityManager)

  - ### Method Detail

    - #### findAllByTypeAndNameIsLikeAndVersionAndDefaultVersion

          public org.springframework.data.domain.Page<AppRegistration> findAllByTypeAndNameIsLikeAndVersionAndDefaultVersion(ApplicationType type,
                                                                                                                             String name,
                                                                                                                             String version,
                                                                                                                             boolean defaultVersion,
                                                                                                                             org.springframework.data.domain.Pageable pageable)

      Description copied from interface: `AppRegistrationRepositoryCustom`
      Function to find all app registrations based on various optional parameters using predicates.
      Specified by:
        `findAllByTypeAndNameIsLikeAndVersionAndDefaultVersion` in interface `AppRegistrationRepositoryCustom`
      Parameters:
        `type` - application type.
        `name` - application name.
        `version` - application version.
        `defaultVersion` - default version.
        `pageable` - enumerates the data to be returned.
      Returns:
        paginated list of filtered app registrations.

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.